Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 88)
@@ -120,8 +120,8 @@
                     strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -156,7 +156,7 @@
                 strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -184,7 +184,7 @@
             try
             {
                 strcmd = "Update MaterialKindMaster Set DeleteFlg = 1,DisplayOrder = 999";
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 88)
@@ -189,8 +189,8 @@
                 strcmd += string.Format(", {0}", data.TaxAmount.ToString());
                 strcmd += string.Format(", '{0}'", data.Note.ToString());
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -239,7 +239,7 @@
                 strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
                 strcmd += string.Format(",Note = '{0}'", data.Note.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
 
                 strcmd += string.Format(" Where RequestNo = {0} And MainConstructionCode = {1}", data.RequestNo.ToString(), data.MainConstructionCode.ToString());
                 strcmd += AddSQLString;
@@ -321,18 +321,18 @@
                 wrk.MainConstructionCode = int.Parse(objwrk[(int)NameColumn.MainConstructionCode].ToString());
 
                 wrk.ConstructionName = objwrk[(int)NameColumn.ConstructionName].ToString();
-                wrk.ContractAmount = int.Parse(objwrk[(int)NameColumn.ContractAmount].ToString());
-                wrk.PaidAmount = int.Parse(objwrk[(int)NameColumn.PaidAmount].ToString());
-                wrk.RequestAmount0 = int.Parse(objwrk[(int)NameColumn.RequestAmount0].ToString());
-                wrk.RequestAmount1 = int.Parse(objwrk[(int)NameColumn.RequestAmount1].ToString());
-                wrk.RequestAmount2 = int.Parse(objwrk[(int)NameColumn.RequestAmount2].ToString());
-                wrk.RequestAmount3 = int.Parse(objwrk[(int)NameColumn.RequestAmount3].ToString());
-                wrk.RequestAmount4 = int.Parse(objwrk[(int)NameColumn.RequestAmount4].ToString());
-                wrk.RequestAmount5 = int.Parse(objwrk[(int)NameColumn.RequestAmount5].ToString());
-                wrk.RequestAmount6 = int.Parse(objwrk[(int)NameColumn.RequestAmount6].ToString());
-                wrk.UnclaimedAmount = int.Parse(objwrk[(int)NameColumn.UnclaimedAmount].ToString());
-                wrk.UnpaidAmount = int.Parse(objwrk[(int)NameColumn.UnpaidAmount].ToString());
-                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+                wrk.ContractAmount = long.Parse(objwrk[(int)NameColumn.ContractAmount].ToString());
+                wrk.PaidAmount = long.Parse(objwrk[(int)NameColumn.PaidAmount].ToString());
+                wrk.RequestAmount0 = long.Parse(objwrk[(int)NameColumn.RequestAmount0].ToString());
+                wrk.RequestAmount1 = long.Parse(objwrk[(int)NameColumn.RequestAmount1].ToString());
+                wrk.RequestAmount2 = long.Parse(objwrk[(int)NameColumn.RequestAmount2].ToString());
+                wrk.RequestAmount3 = long.Parse(objwrk[(int)NameColumn.RequestAmount3].ToString());
+                wrk.RequestAmount4 = long.Parse(objwrk[(int)NameColumn.RequestAmount4].ToString());
+                wrk.RequestAmount5 = long.Parse(objwrk[(int)NameColumn.RequestAmount5].ToString());
+                wrk.RequestAmount6 = long.Parse(objwrk[(int)NameColumn.RequestAmount6].ToString());
+                wrk.UnclaimedAmount = long.Parse(objwrk[(int)NameColumn.UnclaimedAmount].ToString());
+                wrk.UnpaidAmount = long.Parse(objwrk[(int)NameColumn.UnpaidAmount].ToString());
+                wrk.TaxAmount = long.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
                 wrk.Note = objwrk[(int)NameColumn.Note].ToString();
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestDataDetail.cs	(revision 88)
@@ -158,8 +158,8 @@
                 strcmd += string.Format(", {0}", data.RequestAmount.ToString());
                 strcmd += string.Format(", {0}", data.TaxAmount.ToString());
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -195,7 +195,7 @@
                 strcmd += string.Format(",RequestAmount = {0}", data.RequestAmount.ToString());
                 strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
 
                 strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
                 strcmd += string.Format("  And MainConstructionCode = {0}", data.MainConstructionCode.ToString());
@@ -281,8 +281,8 @@
                 wrk.ConstructionCode = int.Parse(objwrk[(int)NameColumn.ConstructionCode].ToString());
 
                 wrk.ConstructionKind = int.Parse(objwrk[(int)NameColumn.ConstructionKind].ToString());
-                wrk.RequestAmount = int.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
-                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+                wrk.RequestAmount = long.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
+                wrk.TaxAmount = long.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 88)
@@ -184,8 +184,8 @@
                 strcmd += string.Format(", {0}", data.AssignedFlg.ToString());
                 strcmd += string.Format(", {0}", data.InvoiceNo.ToString());
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -262,7 +262,7 @@
                 strcmd += string.Format(",AssignedFlg = {0}", data.AssignedFlg.ToString());
                 strcmd += string.Format(",InvoiceNo = {0}", data.InvoiceNo.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
 
                 //strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
                 strcmd += AddSQLString;
@@ -329,10 +329,10 @@
 
                 wrk.ReqConstructionName = objwrk[(int)NameColumn.ReqConstructionName].ToString();
 
-                wrk.RequestTotalAmount = int.Parse(objwrk[(int)NameColumn.RequestTotalAmount].ToString());
-                wrk.RequestAmount = int.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
-                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
-                wrk.UnpaidAmount = int.Parse(objwrk[(int)NameColumn.UnpaidAmount].ToString());
+                wrk.RequestTotalAmount = long.Parse(objwrk[(int)NameColumn.RequestTotalAmount].ToString());
+                wrk.RequestAmount = long.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
+                wrk.TaxAmount = long.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+                wrk.UnpaidAmount = long.Parse(objwrk[(int)NameColumn.UnpaidAmount].ToString());
 
                 wrk.Note = objwrk[(int)NameColumn.Note].ToString();
 
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/DepositData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/DepositData.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/DepositData.cs	(revision 88)
@@ -18,9 +18,9 @@
         private int m_SeqNo = 0;                                // 連番
         private int m_BusinessPeriod = 0;                         // 営業期
         private DateTime m_DepositDate = DateTime.MinValue;     // 入金日
-        private int m_DepositAmount = 0;                        // 入金金額
-        private int m_DepositAmountCash = 0;                    // 入金金額（現金）
-        private int m_DepositAmountBill = 0;                    // 入金金額（手形）
+        private long m_DepositAmount = 0;                        // 入金金額
+        private long m_DepositAmountCash = 0;                    // 入金金額（現金）
+        private long m_DepositAmountBill = 0;                    // 入金金額（手形）
         private DateTime m_EntryDate = DateTime.Now;            // 登録年月日
         private DateTime m_UpdateDate = DateTime.Now;           // 更新年月日
         #endregion
@@ -86,7 +86,7 @@
         /// <summary>
         /// 入金金額
         /// </summary>
-        public int DepositAmount
+        public long DepositAmount
         {
             get { return m_DepositAmount; }
             set { m_DepositAmount = value; }
@@ -95,7 +95,7 @@
         /// <summary>
         /// 入金金額（現金）
         /// </summary>
-        public int	DepositAmountCash
+        public long DepositAmountCash
         {
             get { return m_DepositAmountCash; }
             set { m_DepositAmountCash = value; }
@@ -104,7 +104,7 @@
         /// <summary>
         /// 入金金額（手形）
         /// </summary>
-        public int	DepositAmountBill
+        public long DepositAmountBill
         {
             get { return m_DepositAmountBill; }
             set { m_DepositAmountBill = value; }
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/DepositDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/DepositDataDetail.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/DepositDataDetail.cs	(revision 88)
@@ -19,12 +19,12 @@
         private int m_LineCount = 0;                            // 行番号
         private int m_RequestNo = 0;                            // 請求No
         private int m_OrderNo = 0;                              // 受付番号
-        private int m_DepositAmount = 0;                        // 入金金額
-        private int m_DiscountAmount = 0;                       // 値引き金額
-        private int m_CnstrPrice = 0;                           // 協力金
-        private int m_Fees = 0;                                 // 手数料
-        private int m_OtherAdjustments = 0;                     // その他調整
-        private int m_CarryAmount = 0;                          // 繰越金額
+        private long m_DepositAmount = 0;                        // 入金金額
+        private long m_DiscountAmount = 0;                       // 値引き金額
+        private long m_CnstrPrice = 0;                           // 協力金
+        private long m_Fees = 0;                                 // 手数料
+        private long m_OtherAdjustments = 0;                     // その他調整
+        private long m_CarryAmount = 0;                          // 繰越金額
         private int m_ApprovalPersonCode = 0;                   // 承認担当者コード
         private DateTime m_ApprovalDate = DateTime.MinValue;    // 担当者承認日付
         private bool m_ApprovalEndFlg = false;                  // 承認完了フラグ
@@ -102,7 +102,7 @@
         /// <summary>
         /// 入金金額
         /// </summary>
-        public int DepositAmount
+        public long DepositAmount
         {
             get { return m_DepositAmount; }
             set { m_DepositAmount = value; }
@@ -111,7 +111,7 @@
         /// <summary>
         /// 値引き金額
         /// </summary>
-        public int DiscountAmount
+        public long DiscountAmount
         {
             get { return m_DiscountAmount; }
             set { m_DiscountAmount = value; }
@@ -120,7 +120,7 @@
         /// <summary>
         /// 協力金
         /// </summary>
-        public int CnstrPrice
+        public long CnstrPrice
         {
             get { return m_CnstrPrice; }
             set { m_CnstrPrice = value; }
@@ -129,7 +129,7 @@
         /// <summary>
         /// 手数料
         /// </summary>
-        public int Fees
+        public long Fees
         {
             get { return m_Fees; }
             set { m_Fees = value; }
@@ -138,7 +138,7 @@
         /// <summary>
         /// その他調整
         /// </summary>
-        public int OtherAdjustments
+        public long OtherAdjustments
         {
             get { return m_OtherAdjustments; }
             set { m_OtherAdjustments = value; }
@@ -147,7 +147,7 @@
         /// <summary>
         /// 繰越金額
         /// </summary>
-        public int CarryAmount
+        public long CarryAmount
         {
             get { return m_CarryAmount; }
             set { m_CarryAmount = value; }
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs	(revision 88)
@@ -20,8 +20,8 @@
         private DateTime    m_CretateDate = DateTime.MinValue;  // 作成日
         private DateTime    m_RequestDate = DateTime.MinValue;  // 請求日
         private string      m_RequestName = "";                 // 請求先名
-        private int         m_TotalAmount = 0;                  // 税込み合計金額
-        private int         m_TaxAmount = 0;                    // 消費税金額
+        private long        m_TotalAmount = 0;                  // 税込み合計金額
+        private long        m_TaxAmount = 0;                    // 消費税金額
         private string      m_Comment1 = "";                    // コメント1
         private string      m_Comment2 = "";                    // コメント2
         private string      m_Comment3 = "";                    // コメント3
@@ -111,7 +111,7 @@
         /// <summary>
         /// 税込み合計金額
         /// </summary>
-        public int TotalAmount
+        public long TotalAmount
         {
             get { return m_TotalAmount; }
             set { m_TotalAmount = value; }
@@ -120,7 +120,7 @@
         /// <summary>
         /// 消費税金額
         /// </summary>
-        public int TaxAmount
+        public long TaxAmount
         {
             get { return m_TaxAmount; }
             set { m_TaxAmount = value; }
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/MaterialItemMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/MaterialItemMaster.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/MaterialItemMaster.cs	(revision 88)
@@ -9,13 +9,14 @@
     public class MaterialItemMaster
     {
         #region メンバ変数
-        private int m_MaterialItemCode = 0;	            // キー項目
-        private int m_MaterialKindCode = 0;	            // 資材種類コード
+        private int m_MaterialItemCode = 0;	                // キー項目
+        private int m_MaterialKindCode = 0;	                // 資材種類コード
         private string m_MaterialItemName = string.Empty;	// 名称
-        private int m_DisplayOrder = 0;	                // 表示順
-        private int m_DeleteFlg = 0;                    // 削除フラグ
-        private DateTime m_EntryDate = DateTime.Now;         // 登録日付
-        private DateTime m_UpdateDate = DateTime.Now;        // 更新日付
+        private int m_DisplayOrder = 0;	                    // 表示順
+        private int m_DeleteFlg = 0;                        // 削除フラグ
+        private DateTime m_EntryDate = DateTime.Now;        // 登録日付
+        private DateTime m_UpdateDate = DateTime.Now;       // 更新日付
+        private int m_VersionNo = 0;                        // バージョンNo（排他制御用）
         #endregion
 
 
@@ -47,7 +48,6 @@
             get { return m_MaterialItemName; }
             set { m_MaterialItemName = value; }
         }
-
         /// <summary>
         /// 表示順
         /// </summary>
@@ -64,7 +64,6 @@
             get { return m_DeleteFlg; }
             set { m_DeleteFlg = value; }
         }
-
         /// <summary>
         /// 登録日付
         /// </summary>
@@ -81,6 +80,14 @@
             set { m_UpdateDate = value; }
             get { return m_UpdateDate; }
         }
+        /// <summary>
+        /// バージョンNo
+        /// </summary>
+        public int VersionNo
+        {
+            get { return m_VersionNo; }
+            set { m_VersionNo = value; }
+        }
         #endregion
 
     }
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestData.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestData.cs	(revision 88)
@@ -15,18 +15,18 @@
         private int         m_RequestNo = 0;                    // 請求No
         private int         m_MainConstructionCode = 0;         // 本工事番号
         private string      m_ConstructionName = "";            // 工事件名
-        private int         m_ContractAmount = 0;               // 請負金額
-        private int         m_PaidAmount = 0;                   // 請求済金額
-        private int         m_RequestAmount0 = 0;               // 請求金額０
-        private int         m_RequestAmount1 = 0;               // 請求金額１
-        private int         m_RequestAmount2 = 0;               // 請求金額２
-        private int         m_RequestAmount3 = 0;               // 請求金額３
-        private int         m_RequestAmount4 = 0;               // 請求金額４
-        private int         m_RequestAmount5 = 0;               // 請求金額５
-        private int         m_RequestAmount6 = 0;               // 請求金額６
-        private int         m_UnclaimedAmount = 0;              // 請求残金額
-        private int         m_UnpaidAmount = 0;                 // 未入金金額
-        private int         m_TaxAmount = 0;                    // 消費税
+        private long        m_ContractAmount = 0;               // 請負金額
+        private long        m_PaidAmount = 0;                   // 請求済金額
+        private long        m_RequestAmount0 = 0;               // 請求金額０
+        private long        m_RequestAmount1 = 0;               // 請求金額１
+        private long        m_RequestAmount2 = 0;               // 請求金額２
+        private long        m_RequestAmount3 = 0;               // 請求金額３
+        private long        m_RequestAmount4 = 0;               // 請求金額４
+        private long        m_RequestAmount5 = 0;               // 請求金額５
+        private long        m_RequestAmount6 = 0;               // 請求金額６
+        private long        m_UnclaimedAmount = 0;              // 請求残金額
+        private long        m_UnpaidAmount = 0;                 // 未入金金額
+        private long        m_TaxAmount = 0;                    // 消費税
         private string      m_Note = "";                        // 備考
         private DateTime    m_EntryDate = DateTime.Now;         // 登録日付
         private DateTime    m_UpdateDate = DateTime.Now;        // 更新日付
@@ -66,7 +66,7 @@
         /// <summary>
         /// 請負金額
         /// </summary>
-        public int ContractAmount
+        public long ContractAmount
         {
             get { return m_ContractAmount; }
             set { m_ContractAmount = value; }
@@ -75,7 +75,7 @@
         /// <summary>
         /// 請求済金額
         /// </summary>
-        public int PaidAmount
+        public long PaidAmount
         {
             get { return m_PaidAmount; }
             set { m_PaidAmount = value; }
@@ -84,7 +84,7 @@
         /// <summary>
         /// 請求金額０
         /// </summary>
-        public int RequestAmount0
+        public long RequestAmount0
         {
             get { return m_RequestAmount0; }
             set { m_RequestAmount0 = value; }
@@ -93,7 +93,7 @@
         /// <summary>
         /// 請求金額１
         /// </summary>
-        public int RequestAmount1
+        public long RequestAmount1
         {
             get { return m_RequestAmount1; }
             set { m_RequestAmount1 = value; }
@@ -102,7 +102,7 @@
         /// <summary>
         /// 請求金額２
         /// </summary>
-        public int RequestAmount2
+        public long RequestAmount2
         {
             get { return m_RequestAmount2; }
             set { m_RequestAmount2 = value; }
@@ -111,7 +111,7 @@
         /// <summary>
         /// 請求金額３
         /// </summary>
-        public int RequestAmount3
+        public long RequestAmount3
         {
             get { return m_RequestAmount3; }
             set { m_RequestAmount3 = value; }
@@ -120,7 +120,7 @@
         /// <summary>
         /// 請求金額４
         /// </summary>
-        public int RequestAmount4
+        public long RequestAmount4
         {
             get { return m_RequestAmount4; }
             set { m_RequestAmount4 = value; }
@@ -129,7 +129,7 @@
         /// <summary>
         /// 請求金額５
         /// </summary>
-        public int RequestAmount5
+        public long RequestAmount5
         {
             get { return m_RequestAmount5; }
             set { m_RequestAmount5 = value; }
@@ -138,7 +138,7 @@
         /// <summary>
         /// 請求金額６
         /// </summary>
-        public int RequestAmount6
+        public long RequestAmount6
         {
             get { return m_RequestAmount6; }
             set { m_RequestAmount6 = value; }
@@ -147,7 +147,7 @@
         /// <summary>
         /// 請求残金額
         /// </summary>
-        public int UnclaimedAmount
+        public long UnclaimedAmount
         {
             get { return m_UnclaimedAmount; }
             set { m_UnclaimedAmount = value; }
@@ -156,7 +156,7 @@
         /// <summary>
         /// 未入金金額
         /// </summary>
-        public int UnpaidAmount
+        public long UnpaidAmount
         {
             get { return m_UnpaidAmount; }
             set { m_UnpaidAmount = value; }
@@ -165,7 +165,7 @@
         /// <summary>
         /// 消費税
         /// </summary>
-        public int TaxAmount
+        public long TaxAmount
         {
             get { return m_TaxAmount; }
             set { m_TaxAmount = value; }
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestDataDetail.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestDataDetail.cs	(revision 88)
@@ -16,8 +16,8 @@
         private int         m_MainConstructionCode = 0;         // 本工事番号
         private int         m_ConstructionCode = 0;             // 工事番号
         private int         m_ConstructionKind = 0;             // 工事区分
-        private int         m_RequestAmount = 0;                // 請求金額
-        private int         m_TaxAmount = 0;                    // 消費税
+        private long        m_RequestAmount = 0;                // 請求金額
+        private long        m_TaxAmount = 0;                    // 消費税
         private DateTime    m_EntryDate = DateTime.Now;         // 登録日付
         private DateTime    m_UpdateDate = DateTime.Now;        // 更新日付
         #endregion
@@ -66,7 +66,7 @@
         /// <summary>
         /// 請求金額
         /// </summary>
-        public int RequestAmount
+        public long RequestAmount
         {
             get { return m_RequestAmount; }
             set { m_RequestAmount = value; }
@@ -75,7 +75,7 @@
         /// <summary>
         /// 消費税
         /// </summary>
-        public int TaxAmount
+        public long TaxAmount
         {
             get { return m_TaxAmount; }
             set { m_TaxAmount = value; }
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestHead.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestHead.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestHead.cs	(revision 88)
@@ -20,10 +20,10 @@
         private int         m_OrderersCode = 0;                 // 発注者コード
         private string      m_OrderersName = "";                // 発注者名
         private string      m_ReqConstructionName = "";         // 請求工事件名
-        private int         m_RequestTotalAmount = 0;           // 請求金額合計
-        private int         m_RequestAmount = 0;                // 請求金額
-        private int         m_TaxAmount = 0;                    // 消費税
-        private int         m_UnpaidAmount = 0;                 // 未入金
+        private long        m_RequestTotalAmount = 0;           // 請求金額合計
+        private long        m_RequestAmount = 0;                // 請求金額
+        private long        m_TaxAmount = 0;                    // 消費税
+        private long        m_UnpaidAmount = 0;                 // 未入金
         private string      m_Note ="";                         // 備考
         private int         m_AssignedFlg = 0;                  // 割当済フラグ
         private int         m_InvoiceNo = 0;                    // 請求書No
@@ -110,7 +110,7 @@
         /// <summary>
         /// 請求金額合計
         /// </summary>
-        public int RequestTotalAmount
+        public long RequestTotalAmount
         {
             get { return m_RequestTotalAmount; }
             set { m_RequestTotalAmount = value; }
@@ -119,7 +119,7 @@
         /// <summary>
         /// 請求金額
         /// </summary>
-        public int RequestAmount
+        public long RequestAmount
         {
             get { return m_RequestAmount; }
             set { m_RequestAmount = value; }
@@ -128,7 +128,7 @@
         /// <summary>
         /// 消費税
         /// </summary>
-        public int TaxAmount
+        public long TaxAmount
         {
             get { return m_TaxAmount; }
             set { m_TaxAmount = value; }
@@ -137,7 +137,7 @@
         /// <summary>
         /// 未入金
         /// </summary>
-        public int UnpaidAmount
+        public long UnpaidAmount
         {
             get { return m_UnpaidAmount; }
             set { m_UnpaidAmount = value; }
